<?php

/**
 * @file
 * Controller class definition file for newsletter_list entity.
 */

/**
 * Newsletter List Controller
 */
class NewsletterListController extends DrupalDefaultEntityController {

  /**
   * Create a default list.
   *
   * @param array $values
   *   An array of values to set, keyed by property name.
   * @return
   *   A list object with all default fields initialized.
   */
  public function create() {
    $values += array(
      'list_id' => '',
      'is_new' => TRUE,
      'title' => NULL,
      'send_rate' => NULL,
      'template_id' => NULL,
    );
    return parent::create($values);
  }

  /**
   * Saves a new newsletter list in database.
   *
   * @param $list
   *   The full list object to save.
   * @param $transaction
   *   An optional transaction object.
   *
   * @return
   *   SAVED_NEW or SAVED_UPDATED depending on the operation performed..
   */
  public function save($list, DatabaseTransaction $transaction = NULL) {
    if ($list->is_new) {
      $list->created = REQUEST_TIME;
    }

    return parent::save($list);
  }

}
