<?php

/**
 * @file
 *  Views interface for newsletter_list.
 */

/**
 * Implements hook_views_data().
 */
function newsletter_list_views_data() {
  $data['newsletter_list']['table'] = array(
    'base' => array(
      'field' => 'nlid',
      'title' => t('Newsletter list'),
    ),
    'group' => t('Newsletter list'),
    'entity_type' => 'newsletter_list',
  );

  // nlid
  $data['newsletter_list']['nlid'] = array(
    'title' => t('Nlid'),
    'help' => t('The newsletter list ID.'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  // title
  $data['newsletter_list']['title'] = array(
    'title' => t('Title'),
    'help' => t('The newsletter list name.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  // send_rate
  $data['newsletter_list']['send_rate'] = array(
    'title' => t('Send rate'),
    'help' => t('The newsletter list send rate.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );

  // last_sent
  $data['newsletter_list']['last_sent'] = array(
    'title' => t('Last sent'),
    'help' => t('The newsletter list last sent date.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );

  // send_again
  $data['newsletter_list']['send_again'] = array(
    'title' => t('Send again'),
    'help' => t('The newsletter list send again date.'),
    'field' => array(
      'handler' => 'newsletter_handler_field_datetime',
    ),
  );

  // created
  $data['newsletter_list']['created'] = array(
    'title' => t('Created date'),
    'help' => t('The date the newsletter list was created.'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
  );

  return $data;
}
